## GstPreviewFilter GstPreviewFilter — A video preview filter |

## Synopsis

    #include <gst/filters/gst-preview-filter.h>

                        GstPreviewFilter;
    GstPreviewFilter *  gst_preview_filter_new              (guintptr window_handle);

## Object Hierarchy

      GObject
       +----GstFilter
             +----GstPreviewFilter

## Properties

      "filter-manager"           GstFilterManager*     : Read
      "window-handle"            guint64               : Read / Write / Construct Only

## Description

This filter will create a video output window to preview the current data flowing in the pipeline.

## Details

### GstPreviewFilter

    typedef struct _GstPreviewFilter GstPreviewFilter;

A video preview filter

### gst_preview_filter_new ()

    GstPreviewFilter *  gst_preview_filter_new              (guintptr window_handle);

Creates a new video preview filter. This filter allows you to preview your video stream into a preview window by creating a tee and linking it with an videosink to which it sets the specified `window_handle` value

`window_handle` : | The handle of the window in which to embed the video output
Returns : | A new GstPreviewFilter

## Property Details

### The `"filter-manager"` property

      "filter-manager"           GstFilterManager*     : Read

The filter manager to apply on the preview window. This preview filter has a filter manager of its own which allows you to add custom filters specific to a preview window. You can access it through this property and modify the filter manager as you see fit.

### The `"window-handle"` property

      "window-handle"            guint64               : Read / Write / Construct Only

The X window id to use for embedding the preview window

Default value: 0